Main Page Widgets Namespaces Book

# Gtk::IconFactory Class Reference

Inheritance diagram for Gtk::IconFactory:

[legend]
List of all members.

## Public Methods

virtual | ~IconFactory ()
GtkIconFactory* | gobj ()
const GtkIconFactory* | gobj () const
GtkIconFactory* | gobj_copy ()
void | add (const Gtk::StockID& stock_id, const IconSet& icon_set)
| Adds the given icon_set to the icon factory, under the name stock_id.
void | add_default ()
| Adds an icon factory to the list of icon factories searched by Gtk::Style::lookup_icon_set().
void | remove_default ()
| Removes an icon factory from the list of default icon factories.

## Static Public Methods

Glib::RefPtr<IconFactory> | create ()

## Protected Methods

| IconFactory ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::IconFactory> | wrap (GtkIconFactory* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::IconFactory::~IconFactory | ( |  | ) | `[virtual]`

Gtk::IconFactory::IconFactory | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::IconFactory::add | ( | const Gtk::StockID& | stock_id,
|  | const IconSet& | icon_set
| ) |

Adds the given icon_set to the icon factory, under the name stock_id.

stock_id should be namespaced for your application, e.g. "myapp-whatever-icon". Normally applications create a Gtk::IconFactory, then add it to the list of default factories with add_default(). Then they pass the stock_id to widgets such as Gtk::Image to display the icon. Themes can provide an icon with the same name (such as "myapp-whatever-icon") to override your application's default icons. If an icon already existed in factory for stock_id, it is unreferenced and replaced with the new icon_set.

Parameters:

  stock_id | Icon name.
  icon_set | Icon set.

void Gtk::IconFactory::add_default | ( |  | ) |

| Adds an icon factory to the list of icon factories searched by Gtk::Style::lookup_icon_set(). This means that, for example, Gtk::Image::new_from_stock() will be able to find icons in factory. There will normally be an icon factory added for each library or application that comes with icons. The default icon factories can be overridden by themes.

Glib::RefPtr<IconFactory> Gtk::IconFactory::create | ( |  | ) | `[static]`

const GtkIconFactory* Gtk::IconFactory::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase.

GtkIconFactory* Gtk::IconFactory::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase.

GtkIconFactory* Gtk::IconFactory::gobj_copy | ( |  | ) |

void Gtk::IconFactory::remove_default | ( |  | ) |

| Removes an icon factory from the list of default icon factories. Not normally used; you might use it for a library that can be unloaded or shut down.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::IconFactory> wrap | ( | GtkIconFactory* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- iconfactory.h